Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.plugin.limiter
Class PreviewPlugin

    java.lang.Object
      org.blojsom.plugin.limiter.PreviewPlugin

All Implemented Interfaces:
  Plugin

public class PreviewPlugin
extends java.lang.Object
implements Plugin

Hide preview entries from normal display. Preview entires have the word PREVIEW (by default) at the start of the title. To see the preview items along with normal entries add the parameter preview="true"

Since:
  blojsom 3.0
Version:
  $Id: PreviewPlugin.java,v 1.1 2006/03/20 21:30:56 czarneckid Exp $
Author:
  Nick Chalko, David Czarnecki

Constructor Summary
`PreviewPlugin()` Default constructor

Method Summary
`void` | `cleanup()` Perform any cleanup for the plugin.
`void` | `destroy()` Called when BlojsomServlet is taken out of service
`void` | `init()` Initialize this plugin.
`Entry[]` | `process(javax.servlet.http.HttpServletRequest httpServletRequest, javax.servlet.http.HttpServletResponse httpServletResponse, Blog blog, java.util.Map context, Entry[] entries)` Process the blog entries

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreviewPlugin

    public PreviewPlugin()

  Default constructor

Method Detail

### init

    public void init()
              throws PluginException

  Initialize this plugin. This method only called when the plugin is instantiated.

  Specified by:
    `init` in interface `Plugin`
  Throws:
    `PluginException` - If there is an error initializing the plugin

### process

    public Entry[] process(javax.servlet.http.HttpServletRequest httpServletRequest,
                           javax.servlet.http.HttpServletResponse httpServletResponse,
                           Blog blog,
                           java.util.Map context,
                           Entry[] entries)
                    throws PluginException

  Process the blog entries

  Specified by:
    `process` in interface `Plugin`
  Parameters:
    `httpServletRequest` - Request
    `httpServletResponse` - Response
    `blog` - `Blog` instance
    `context` - Context
    `entries` - Blog entries retrieved for the particular request
  Returns:
    Modified set of blog entries
  Throws:
    `PluginException` - If there is an error processing the blog entries

### cleanup

    public void cleanup()
                 throws PluginException

  Perform any cleanup for the plugin. Called after `process(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, org.blojsom.blog.Blog, java.util.Map, org.blojsom.blog.Entry[])`.

  Specified by:
    `cleanup` in interface `Plugin`
  Throws:
    `PluginException` - If there is an error performing cleanup for this plugin

### destroy

    public void destroy()
                 throws PluginException

  Called when BlojsomServlet is taken out of service

  Specified by:
    `destroy` in interface `Plugin`
  Throws:
    `PluginException` - If there is an error in finalizing this plugin

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD